Package Details: bisonc++ 6.01.03-1

Git Clone URL: https://aur.archlinux.org/bisonc++.git (read-only)
Package Base: bisonc++
Description: C++ parser generator
Upstream URL: https://fbb-git.github.io/bisoncpp/
Licenses: GPL
Submitter: felrood
Maintainer: Corax
Last Packager: Corax
Votes: 3
Popularity: 0.000070
First Submitted: 2012-05-19 19:20
Last Updated: 2018-03-19 00:49

Dependencies (3)

Required by (0)

Sources (2)

Latest Comments

Corax commented on 2018-05-07 11:31

@yusefmhg: as the error message suggests, the issue is actually with libbobcat. That said, I own that package as well, so I need to deal with the issue anyway :-)

Actually, libbobcat doesn't require a particular version of libcrypto, it just links with -lcrypto. To be honest, I don't know why you have this issue; for me libbobcat links against libcrypto.so.1.1. It might be that you built libbobcat a very long time ago.

While I was looking into this, I updated libbobcat to the latest version; could you rebuild it and check if the problem persists?

yusefmhg commented on 2018-05-03 19:03

Got the following error:

/usr/bin/ld: warning: libcrypto.so.1.0.0, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/7.3.1/../../../../lib/libbobcat.so, not found (try using -rpath or -rpath-link)

Installing the package openssl-1.0 from core solved. Shouldn't it be a build dependency?

Thanks!

Corax commented on 2018-03-19 00:52

@sleeping: bumped to 6.01.03 (and flexc++ to 2.06.04), thanks. I haven't added patch as a dependency because it is already in base-devel, see https://wiki.archlinux.org/index.php/Arch_User_Repository#Getting_started.

sleeping commented on 2018-03-18 15:43

Flagged out of date. Also: patch should be added as a make dependency.

Thanks for maintaining this package!

Corax commented on 2015-10-01 16:35

Updated to 4.11.00, for some reason a bunch of "sh: chdir: command not found" errors have popped up, I have no idea why and it does not seem to affect the output so for now I'll just leave it as it is.

Corax commented on 2014-11-02 00:12

Updated PKGBUILD, fixes wrong path for manual installation, plus flags are now added to CXXFLAGS instead of overwriting it.

Corax commented on 2014-11-01 00:13

Package updated and improved as planned, enjoyed!

Note that the PKGBUILD makes and installs everything that it possibly can, including all the documentation. If you don't want it/don't want to install yodl, just remove the yold dependency, the "./build manual" and the last 3 lines of package().

Corax commented on 2014-10-24 16:37

@felrood: cool thank you :) I'll take care of these 3 packages asap (probably this weekend).

felrood commented on 2014-10-24 15:03

@corax indeed, you can have them as well :)

Corax commented on 2014-10-23 21:35

@felrood OK thanks :) I presume you don't use anymore the related packages either, i.e. flexc++ and libbobcat? Since they all use icmake, it wouldn't be too much of an effort for me to adopt them as well ;)

All comments